-- Accounts created, monthly.  This is not cumulative.

select
 (
   convert(varchar, datepart(year, timecreated))+'_'+
   right('00'+convert(varchar,datepart(month, timecreated)),2)
 ) as yymm,
 count(*) as ucnt
from users
group by
 convert(varchar, datepart(year, timecreated))+'_'+
 right('00'+convert(varchar,datepart(month, timecreated)),2)
order by
 convert(varchar, datepart(year, timecreated))+'_'+
 right('00'+convert(varchar,datepart(month, timecreated)),2)